using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace OpenWarehouse.auth.api.Data;

[Index(nameof(Privilage), IsUnique = true)]
public class RolePrivilage()
{
    public RolePrivilage(string privilage) : this()
    {
        this.Privilage = privilage;
    }
    [Key]
    public long Id { get; set; }

    [Required, MaxLength(40)]
    public string? Privilage { get; set; }
    public List<ApplicationRole>? Roles { get; set; }
}